Qyra
Referencev2

List project parameters

Get a paginated list of project parameters with search and sorting capabilities.

GET/api/v2/projects/{projectUuid}/parameters/list

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
searchstringNo
sortBystringNo
sortOrderstringNo
pagenumberNo
pageSizenumberNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": [
      {
        "modelName": "string",
        "source": "config",
        "config": {
          "options_from_dimension": {
            "dimension": "string",
            "model": "string"
          },
          "options": [
            "string"
          ],
          "allow_custom_values": true,
          "multiple": true,
          "default": "string",
          "type": "string",
          "description": "string",
          "label": "string"
        },
        "name": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}